# Query for a list of files which can be downloaded from the APX MarketSuite. Endpoint: PUT /fileRegistry/listFiles Version: 1.1.49 ## Query parameters: - `intervalBegin` (string, required) The expected format for the intervalBegin parameter is yyyy-mm-ddThh:mm:ss i.e 2016-10-08T00:00:00 - `intervalEnd` (string, required) The expected format for the intervalEnd parameter is yyyy-mm-ddThh:mm:ss i.e 2016-10-08T00:00:00 ## Request fields (application/json): - `region` (string, required) ISO code - `participant` (string, required) APX MarketSuite participant code - `fileType` (string, required) APX MarketSuite File Type Name - `source` (string, required) Data source system - `rendition` (string, required) Type of data in the file, such as DA or RT - `latestVersionOnly` (boolean, required) Flag indicating whether or not to list the most recent version of a file. True means list the most recent version only. False means list all versions. The default is true. ## Response 200 fields (application/json): - `location` (string) Location associated with the file. Generally refers to the ISO or region - `participant` (string) APX MarketSuite participant code - `intervalBegin` (string) DateTime value of interval_begin that was specified when the file was uploaded or otherwise registered. This is not necessarily true for the content of the file. Format - yyyy-mm-ddThh:mm:ss - `intervalEnd` (string) Datetime value of interval_end that was specified when the file was uploaded or otherwise registered. This is not necessarily true for the content of the file. Format - yyyy-mm-ddThh:mm:ss - `source` (string) Data source system - `rendition` (string) Type of data in the file, such as DA or RT - `fileType` (string) APX MarketSuite File Type Name - `fileVersion` (integer) Version of the file instance within the APX MarketSuite for the same business keys - `fileStructureVersion` (number) The version of the structure of the file - `fileFormat` (string) The format of the file (CSV, XML, etc.) - `fileHandle` (string) Unique identifier for the file within the APX MarketSuite - `createDate` (string) Datetime the file was created in the APX MarketSuite ## Response 401 fields (application/json): - `cause` (object) - `cause.stackTrace` (array) - `cause.stackTrace.methodName` (string) - `cause.stackTrace.fileName` (string) - `cause.stackTrace.lineNumber` (integer) - `cause.stackTrace.className` (string) - `cause.stackTrace.nativeMethod` (boolean) - `cause.message` (string) - `cause.localizedMessage` (string) - `cause.suppressed` (array) - `innerExceptions` (object) - `method` (string) ## Response 500 fields (application/json): - `cause` (object) - `cause.stackTrace` (array) - `cause.stackTrace.methodName` (string) - `cause.stackTrace.fileName` (string) - `cause.stackTrace.lineNumber` (integer) - `cause.stackTrace.className` (string) - `cause.stackTrace.nativeMethod` (boolean) - `cause.message` (string) - `cause.localizedMessage` (string) - `cause.suppressed` (array) - `innerExceptions` (object) - `method` (string)